﻿within TILMedia.UsersGuide;
model SubstanceNames "Substance Names"
    extends Internals.ClassTypes.Information;



/***********************************************************************/
/*						CODE-GENERATED FILE							*/
/*  Do not edit this file but:												*/
/*  TILMediaSuite/documentation/codegen/scriptModelicaTILMediaSubstanceNames.input.	*/
/***********************************************************************/

annotation(__Dymola_DocumentationClass=true,
     Documentation(info="<html>

<h4>Gas Names TILMedia</h4>
<table border=1>
   <tr>
    <th>Substance name</th>
    <th>Comment</th>    
  </tr>
   <tr>
    <td>TILMedia.Dryair &nbsp; </td>
    <td>Tmax = 200°C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.SIMPLEDRYAIR &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.EXHAUSTGAS_LAMBDA_1 &nbsp; </td>
    <td>Intendet for gasoline/petrol exhaust gas with lambda value equal one, T = -20°C bis 1050°C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.DIESELEXHAUSTGAS_x.x &nbsp; </td>
    <td>Substance name must end with _lambdavalue e.g. _1.2 &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.Ash &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td> - &nbsp; </td>
    <td>  &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.AMMONIA &nbsp; </td>
    <td>Temperature range: 40.5 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.ARGON &nbsp; </td>
    <td>Temperature range: 15.1 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.CARBON_DIOXIDE &nbsp; </td>
    <td>Temperature range: 30.4 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.CARBON_MONOXIDE &nbsp; </td>
    <td>Temperature range: 13.3 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.DRYAIR &nbsp; </td>
    <td>Temperature range: 13.3 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.ExhaustGas &nbsp; </td>
    <td>Default configuration for diesel exhaust gas with lambda=1. For petrol exhaust gas use TILMediaXTR.ExhaustGas(m=15.63,lambda=1.1). &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.HYDROGEN &nbsp; </td>
    <td>Temperature range: 3.3 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.NITROGEN &nbsp; </td>
    <td>Temperature range: 12.6 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.NITROUS_OXIDE &nbsp; </td>
    <td>Temperature range: 31.0 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.OXYGEN &nbsp; </td>
    <td>Temperature range: 15.5 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.SULFUR_DIOXIDE &nbsp; </td>
    <td>Temperature range: 43.1 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.WATER &nbsp; </td>
    <td>Temperature range: 64.7 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>- &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.DRYAIR &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.NITROGEN &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.OXYGEN &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.ARGON &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.NEON &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.WATER &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.CARBON_DIOXIDE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.CARBON_MONOXIDE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.SULPHUR_DIOXIDE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
</table><br><br>

<h4>Moist Air Names</h4>
<table border=1>
   <tr>
    <th>Substance name</th>
    <th>Comment</th>    
  </tr>
   <tr>
    <td>TILMedia.MoistAir &nbsp; </td>
    <td>Moist air: water-dry-air-mixture (water at position one) &nbsp; </td>
  </tr>
   <tr>
    <td>VDI4670.MoistAir &nbsp; </td>
    <td>Moist air: water-dry-air-mixture (water at position one) &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaXTR.MoistAir &nbsp; </td>
    <td>Moist air with extended temperature range: 64.7 - 3000 Kelvin. (Thermophysical properties may differ to models with smaller range.) &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA.Water|VDIWA.DryAir &nbsp; </td>
    <td>This 'Simple Moist Air' is almost like 'Detailed Moist Air' defined as \"VDIWA.Water|VDIWA.Nitrogen|VDIWA.Oxygen\" with default mixing ratio = {0.001, 0.7, 0.3} &nbsp; </td>
  </tr>
</table><br><br>

<h4>Liquid Names TILMedia</h4>
<table border=1>
   <tr>
    <th>Substance name</th>
    <th>Comment</th>    
  </tr>
   <tr>
    <td>TILMedia.ADDINOLXW15 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -20 to 300 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.GLYSANTIN_xx.x &nbsp; </td>
    <td>xx corresponds to % mass fraction of glycol whereupon for xx = 30 to 60 is possible. E.g. _33 for 33 % mass fraction glycol. &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.NOVEC7500 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.OIL_ARAL0W30 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.OIL_15W40 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.PROPYLENGLYKOL_xx.x &nbsp; </td>
    <td>xx corresponds to % mass fraction of propylene glycol whereupon for xx = 30 to 50 is possible. E.g. _33 for 33 % mass fraction propylene glycol. &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.SHC_XMP320 &nbsp; </td>
    <td>Synthetic gear oil. Temperature range based on data sheet by manufacturer: 0 to 200 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.THERMINOL59 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -50 to 320 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.THERMINOL66 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: 0 to 380 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.THERMINOL72 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -10 to 380 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.THERMINOLD12 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -85 to 260 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.TYFOCOR30 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -15 to 100 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.TYFOCOR45 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -30 to 100 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.TYFOCORL33 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -15 to 100 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.WATER &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ZITRECM10 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -10 to 100 °C &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ZITRECM20 &nbsp; </td>
    <td>Temperature range based on data sheet by manufacturer: -20 to 100 °C &nbsp; </td>
  </tr>
   <tr>
    <td>- &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.AMMONIA-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.CALCIUMCHLORIDE-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.ETHYLALCOHOL-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.ETHYLENEGLYCOL-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.GLYCEROL-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.POTASSIUMACETATE-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.POTASSIUMCARBONATE-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.POTASSIUMFORMATE-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.LITHIUMCHLORIDE-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.METHYLALCOHOL-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.MAGNESIUMCHLORIDE-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.SODIUMCHLORIDE-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.PROPYLENEGLYCOL-WATER_20 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.DOWTHERM_J &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.DYNALENE_MV &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.GILOTHERM_D12 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.3M_NOVEC_HFE7100 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.BAYSILONE_KT3 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.SYLTHERM_XLT &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.MARLOTHERM_X &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>IIR_SWF.D_LIMONENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
</table><br><br>

<h4>VLEFluid Names TILMedia</h4>
<table border=1>
   <tr>
    <th>Substance name</th>
    <th>Comment</th>    
  </tr>
   <tr>
    <td>TILMedia.1-BUTENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ACETONE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.AMMONIA &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ARGON &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.CARBONYLSULFIDE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.CO2 &nbsp; </td>
    <td>The calculation isn't valid below the triplepoint: p=5.18 bar, T=216.59 K &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.CYCLOPENTANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.D4 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.D5 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.DEUTERIUM &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.DIMETHYLCARBONATE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.DIMETHYLETHER &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ETHANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ETHANOL &nbsp; </td>
    <td>The calculation isn't valid below the triplepoint: p=~0.001 Pa, T=159.0 K &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ETHYLBENZENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ETHYLENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.HEAVYWATER &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.HELIUM &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.HYDROGENSULFIDE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ISOBUTANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.ISOPENTANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.KRYPTON &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.M-XYLENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.MD4M &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.METHANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.METHYLLINOLEATE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.METHYLOLEATE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.METHYLPALMITATE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.METHYLSTEARATE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.MM &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.N-BUTANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.N-DODECANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.N-NONANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.NEON &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.NEOPENTANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.NITROGEN &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.NITROUSOXIDE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.O-XYLENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.OXYGEN &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.P-XYLENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.PARAHYDROGEN &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.PROPANE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.PROPYLENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R113 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R116 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R12 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R1233ZDE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R1234YF &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R1234ZEE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R1234ZEZ &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R124 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R125 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R1336MZZ &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R134A &nbsp; </td>
    <td>The calculation isn't valid below the triplepoint: p=389.6 Pa, T=169.85 K &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R141B &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R142B &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R143A &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R161 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R218 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R227EA &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R23 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R245FA &nbsp; </td>
    <td>The calculation isn't valid below the triplepoint: p=12.5 Pa, T=171.05 K &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R32 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R365MFC &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R404APPF &nbsp; </td>
    <td>The calculation isn't valid below the triplepoint: p=0.227 bar, T=200.0 K &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R407CPPF &nbsp; </td>
    <td>The calculation isn't valid below the triplepoint: p=0.192 bar, T=200.0 K &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R410APPF &nbsp; </td>
    <td>The calculation isn't valid below the triplepoint: p=0.292 bar, T=200.0 K &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.R507APPF &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.RC318 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.SULFURHEXAFLUORIDE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.TOLUENE &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.WATER &nbsp; </td>
    <td>The calculation isn't valid below the triplepoint: p=612.5 Pa, T=273.16 K &nbsp; </td>
  </tr>
   <tr>
    <td>TILMedia.XENON &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>- &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaRT.R407C &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaRT.CO2 &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaRT.R134A &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaRT.R1234YF &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaRT.R410A &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
   <tr>
    <td>TILMediaRT.WATER &nbsp; </td>
    <td> &nbsp; </td>
  </tr>
</table><br><br>

<h4>VLEFluid Names REFPROP</h4>
<table border=1>
   <tr>
    <th>Substance name</th>
    <th>Substance name</th>
    <th>Substance name</th>    
  </tr>
   <tr>
    <td>REFPROP.1BUTENE.FLD &nbsp; </td>

    <td>REFPROP.ACETONE.FLD &nbsp; </td>

    <td>REFPROP.AMMONIA.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.ARGON.FLD &nbsp; </td>

    <td>REFPROP.BENZENE.FLD &nbsp; </td>

    <td>REFPROP.BUTANE.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.C11.FLD &nbsp; </td>

    <td>REFPROP.C12.FLD &nbsp; </td>

    <td>REFPROP.C1CC6.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.C2BUTENE.FLD &nbsp; </td>

    <td>REFPROP.C3CC6.FLD &nbsp; </td>

    <td>REFPROP.C4F10.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.C5F12.FLD &nbsp; </td>

    <td>REFPROP.CF3I.FLD &nbsp; </td>

    <td>REFPROP.CO.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.CO2.FLD &nbsp; </td>

    <td>REFPROP.CO2_ACL.FLD &nbsp; </td>

    <td>REFPROP.COS.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.CYCLOHEX.FLD &nbsp; </td>

    <td>REFPROP.CYCLOPEN.FLD &nbsp; </td>

    <td>REFPROP.CYCLOPRO.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.D2.FLD &nbsp; </td>

    <td>REFPROP.D2O.FLD &nbsp; </td>

    <td>REFPROP.D4.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.D5.FLD &nbsp; </td>

    <td>REFPROP.D6.FLD &nbsp; </td>

    <td>REFPROP.DECANE.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.DEE.FLD &nbsp; </td>

    <td>REFPROP.DMC.FLD &nbsp; </td>

    <td>REFPROP.DME.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.EBENZENE.FLD &nbsp; </td>

    <td>REFPROP.ETHANE.FLD &nbsp; </td>

    <td>REFPROP.ETHANOL.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.ETHYLENE.FLD &nbsp; </td>

    <td>REFPROP.FLUORINE.FLD &nbsp; </td>

    <td>REFPROP.H2S.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.HCL.FLD &nbsp; </td>

    <td>REFPROP.HELIUM.FLD &nbsp; </td>

    <td>REFPROP.HEPTANE.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.HEXANE.FLD &nbsp; </td>

    <td>REFPROP.HFE-7100.FLD &nbsp; </td>

    <td>REFPROP.HFE-7200.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.HFE-7300.FLD &nbsp; </td>

    <td>REFPROP.HFE-7500.FLD &nbsp; </td>

    <td>REFPROP.HYDROGEN.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.IBUTENE.FLD &nbsp; </td>

    <td>REFPROP.IHEXANE.FLD &nbsp; </td>

    <td>REFPROP.IOCTANE.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.IPENTANE.FLD &nbsp; </td>

    <td>REFPROP.ISOBUTAN.FLD &nbsp; </td>

    <td>REFPROP.KRYPTON.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.MD2M.FLD &nbsp; </td>

    <td>REFPROP.MD3M.FLD &nbsp; </td>

    <td>REFPROP.MD4M.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.MDM.FLD &nbsp; </td>

    <td>REFPROP.METHANE.FLD &nbsp; </td>

    <td>REFPROP.METHANOL.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.MLINOLEA.FLD &nbsp; </td>

    <td>REFPROP.MLINOLEN.FLD &nbsp; </td>

    <td>REFPROP.MM.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.MOLEATE.FLD &nbsp; </td>

    <td>REFPROP.MPALMITA.FLD &nbsp; </td>

    <td>REFPROP.MSTEARAT.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.MXYLENE.FLD &nbsp; </td>

    <td>REFPROP.N2O.FLD &nbsp; </td>

    <td>REFPROP.NEON.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.NEOPENTN.FLD &nbsp; </td>

    <td>REFPROP.NF3.FLD &nbsp; </td>

    <td>REFPROP.NITROGEN.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.NONANE.FLD &nbsp; </td>

    <td>REFPROP.Novec 7000.FLD &nbsp; </td>

    <td>REFPROP.Novec 774.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.NOVEC649.FLD &nbsp; </td>

    <td>REFPROP.OCTANE.FLD &nbsp; </td>

    <td>REFPROP.ORTHOHYD.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.OXYGEN.FLD &nbsp; </td>

    <td>REFPROP.OXYLENE.FLD &nbsp; </td>

    <td>REFPROP.PARAHYD.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.PENTANE.FLD &nbsp; </td>

    <td>REFPROP.PROPANE.FLD &nbsp; </td>

    <td>REFPROP.PROPYLEN.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.PROPYNE.FLD &nbsp; </td>

    <td>REFPROP.PXYLENE.FLD &nbsp; </td>

    <td>REFPROP.R11.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R113.FLD &nbsp; </td>

    <td>REFPROP.R114.FLD &nbsp; </td>

    <td>REFPROP.R115.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R116.FLD &nbsp; </td>

    <td>REFPROP.R12.FLD &nbsp; </td>

    <td>REFPROP.R1216.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R123.FLD &nbsp; </td>

    <td>REFPROP.R1233ZD.FLD &nbsp; </td>

    <td>REFPROP.R1233ZDE.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R1234YF.FLD &nbsp; </td>

    <td>REFPROP.R1234ZE.FLD &nbsp; </td>

    <td>REFPROP.R1234ZEE.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R1234ZEZ.FLD &nbsp; </td>

    <td>REFPROP.R124.FLD &nbsp; </td>

    <td>REFPROP.R125.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R13.FLD &nbsp; </td>

    <td>REFPROP.R1336MZZ.FLD &nbsp; </td>

    <td>REFPROP.R134A.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R14.FLD &nbsp; </td>

    <td>REFPROP.R141B.FLD &nbsp; </td>

    <td>REFPROP.R142B.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R143A.FLD &nbsp; </td>

    <td>REFPROP.R152A.FLD &nbsp; </td>

    <td>REFPROP.R161.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R21.FLD &nbsp; </td>

    <td>REFPROP.R218.FLD &nbsp; </td>

    <td>REFPROP.R22.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R227EA.FLD &nbsp; </td>

    <td>REFPROP.R23.FLD &nbsp; </td>

    <td>REFPROP.R236EA.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R236FA.FLD &nbsp; </td>

    <td>REFPROP.R245CA.FLD &nbsp; </td>

    <td>REFPROP.R245FA.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R32.FLD &nbsp; </td>

    <td>REFPROP.R365MFC.FLD &nbsp; </td>

    <td>REFPROP.R40.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R41.FLD &nbsp; </td>

    <td>REFPROP.RC318.FLD &nbsp; </td>

    <td>REFPROP.RE143A.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.RE245CB2.FLD &nbsp; </td>

    <td>REFPROP.RE245FA2.FLD &nbsp; </td>

    <td>REFPROP.RE347MCC.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.SF6.FLD &nbsp; </td>

    <td>REFPROP.SO2.FLD &nbsp; </td>

    <td>REFPROP.T2BUTENE.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.TOLUENE.FLD &nbsp; </td>

    <td>REFPROP.WATER.FLD &nbsp; </td>

    <td>REFPROP.XENON.FLD &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.AIR.PPF &nbsp; </td>

    <td>REFPROP.R404A.PPF &nbsp; </td>

    <td>REFPROP.R407C.PPF &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R410A.PPF &nbsp; </td>

    <td>REFPROP.R507A.PPF &nbsp; </td>

    <td>REFPROP.AIR.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.AMARILLO.MIX &nbsp; </td>

    <td>REFPROP.EKOFISK.MIX &nbsp; </td>

    <td>REFPROP.GLFCOAST.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.HIGHCO2.MIX &nbsp; </td>

    <td>REFPROP.HIGHN2.MIX &nbsp; </td>

    <td>REFPROP.NGSAMPLE.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R401A.MIX &nbsp; </td>

    <td>REFPROP.R401B.MIX &nbsp; </td>

    <td>REFPROP.R401C.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R402A.MIX &nbsp; </td>

    <td>REFPROP.R402B.MIX &nbsp; </td>

    <td>REFPROP.R403A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R403B.MIX &nbsp; </td>

    <td>REFPROP.R404A.MIX &nbsp; </td>

    <td>REFPROP.R405A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R406A.MIX &nbsp; </td>

    <td>REFPROP.R407A.MIX &nbsp; </td>

    <td>REFPROP.R407B.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R407C.MIX &nbsp; </td>

    <td>REFPROP.R407D.MIX &nbsp; </td>

    <td>REFPROP.R407E.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R407F.MIX &nbsp; </td>

    <td>REFPROP.R407G.MIX &nbsp; </td>

    <td>REFPROP.R408A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R409A.MIX &nbsp; </td>

    <td>REFPROP.R409B.MIX &nbsp; </td>

    <td>REFPROP.R410A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R410B.MIX &nbsp; </td>

    <td>REFPROP.R411A.MIX &nbsp; </td>

    <td>REFPROP.R411B.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R412A.MIX &nbsp; </td>

    <td>REFPROP.R413A.MIX &nbsp; </td>

    <td>REFPROP.R414A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R414B.MIX &nbsp; </td>

    <td>REFPROP.R415A.MIX &nbsp; </td>

    <td>REFPROP.R415B.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R416A.MIX &nbsp; </td>

    <td>REFPROP.R417A.MIX &nbsp; </td>

    <td>REFPROP.R417B.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R417C.MIX &nbsp; </td>

    <td>REFPROP.R418A.MIX &nbsp; </td>

    <td>REFPROP.R419A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R419B.MIX &nbsp; </td>

    <td>REFPROP.R420A.MIX &nbsp; </td>

    <td>REFPROP.R421A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R421B.MIX &nbsp; </td>

    <td>REFPROP.R422A.MIX &nbsp; </td>

    <td>REFPROP.R422B.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R422C.MIX &nbsp; </td>

    <td>REFPROP.r422d.mix &nbsp; </td>

    <td>REFPROP.R422E.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R423A.mix &nbsp; </td>

    <td>REFPROP.R424A.MIX &nbsp; </td>

    <td>REFPROP.R425A.mix &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R426A.MIX &nbsp; </td>

    <td>REFPROP.R427A.MIX &nbsp; </td>

    <td>REFPROP.R428A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R429A.mix &nbsp; </td>

    <td>REFPROP.R430A.mix &nbsp; </td>

    <td>REFPROP.R431A.mix &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R432A.mix &nbsp; </td>

    <td>REFPROP.R433A.mix &nbsp; </td>

    <td>REFPROP.R433B.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R433C.MIX &nbsp; </td>

    <td>REFPROP.R434A.mix &nbsp; </td>

    <td>REFPROP.R435A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R436A.MIX &nbsp; </td>

    <td>REFPROP.R436B.MIX &nbsp; </td>

    <td>REFPROP.R437A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R438A.mix &nbsp; </td>

    <td>REFPROP.R439A.MIX &nbsp; </td>

    <td>REFPROP.R440A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R441A.MIX &nbsp; </td>

    <td>REFPROP.R442A.MIX &nbsp; </td>

    <td>REFPROP.R443A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R444A.MIX &nbsp; </td>

    <td>REFPROP.R444B.MIX &nbsp; </td>

    <td>REFPROP.R445A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R446A.MIX &nbsp; </td>

    <td>REFPROP.R447A.MIX &nbsp; </td>

    <td>REFPROP.R448A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R449A.MIX &nbsp; </td>

    <td>REFPROP.R449B.MIX &nbsp; </td>

    <td>REFPROP.R450A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R451A.MIX &nbsp; </td>

    <td>REFPROP.R451B.MIX &nbsp; </td>

    <td>REFPROP.R452A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R452B.MIX &nbsp; </td>

    <td>REFPROP.R452C.MIX &nbsp; </td>

    <td>REFPROP.R453A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R454A.MIX &nbsp; </td>

    <td>REFPROP.R454B.MIX &nbsp; </td>

    <td>REFPROP.R454C.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R455A.MIX &nbsp; </td>

    <td>REFPROP.R456A.MIX &nbsp; </td>

    <td>REFPROP.R457A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R500.MIX &nbsp; </td>

    <td>REFPROP.R501.MIX &nbsp; </td>

    <td>REFPROP.R502.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R503.MIX &nbsp; </td>

    <td>REFPROP.R504.MIX &nbsp; </td>

    <td>REFPROP.R507A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R508A.MIX &nbsp; </td>

    <td>REFPROP.R508B.MIX &nbsp; </td>

    <td>REFPROP.R509A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R510A.MIX &nbsp; </td>

    <td>REFPROP.R511A.MIX &nbsp; </td>

    <td>REFPROP.R512A.MIX &nbsp; </td>
  </tr>
   <tr>
    <td>REFPROP.R513A.MIX &nbsp; </td>

    <td>REFPROP.R513B.MIX &nbsp; </td>

    <td>REFPROP.R515A.MIX &nbsp; </td>
  </tr>
</table><br><br>

<h4>Gas, Liquid and VLEFluid Names (VDIWA2006)</h4>
<table border=1>
   <tr>
    <th>Substance name</th>
    <th>Substance name</th>    
  </tr>
   <tr>
    <td>VDIWA2006.Xenon &nbsp; </td>

    <td>VDIWA2006.Krypton &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Argon &nbsp; </td>

    <td>VDIWA2006.Neon &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Helium &nbsp; </td>

    <td>VDIWA2006.DryAir &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Hydrogen &nbsp; </td>

    <td>VDIWA2006.Nitrogen &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Oxygen &nbsp; </td>

    <td>VDIWA2006.Sulfur &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Fluorine &nbsp; </td>

    <td>VDIWA2006.Chlorine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Bromine &nbsp; </td>

    <td>VDIWA2006.Iodine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Hydrogen fluoride &nbsp; </td>

    <td>VDIWA2006.Hydrogen chloride &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Hydrogen bromide &nbsp; </td>

    <td>VDIWA2006.Hydrogen Iodide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Hydrogen cyanide &nbsp; </td>

    <td>VDIWA2006.Water &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Hydrogen sulfide &nbsp; </td>

    <td>VDIWA2006.Ammonia &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Nitric oxide &nbsp; </td>

    <td>VDIWA2006.Nitrogen dioxide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Nitrous oxide &nbsp; </td>

    <td>VDIWA2006.Dinitrogen tetroxide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Cyanogen &nbsp; </td>

    <td>VDIWA2006.Fluorocyanide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Chlorocyanide &nbsp; </td>

    <td>VDIWA2006.Bromocyanide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.iodinecyanide &nbsp; </td>

    <td>VDIWA2006.carbon monoxide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.carbon dioxide &nbsp; </td>

    <td>VDIWA2006.carbon suboxide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.carbonyl sulfide &nbsp; </td>

    <td>VDIWA2006.phosgene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.carbon disulfide &nbsp; </td>

    <td>VDIWA2006.sulfur dioxide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.sulfur trioxide &nbsp; </td>

    <td>VDIWA2006.sulfury chloride &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.sulfur hexafluoride &nbsp; </td>

    <td>VDIWA2006.methanethiol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethanethiol &nbsp; </td>

    <td>VDIWA2006.dimethyl sulfide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.diethyl sulfide &nbsp; </td>

    <td>VDIWA2006.thiophene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.fluoromethane &nbsp; </td>

    <td>VDIWA2006.difluoromethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.trifluoromethane &nbsp; </td>

    <td>VDIWA2006.tetrafluoromethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.chloromethane &nbsp; </td>

    <td>VDIWA2006.dichloromethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.trichloromethane &nbsp; </td>

    <td>VDIWA2006.tetrachlorocarbon &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.bromomethane &nbsp; </td>

    <td>VDIWA2006.dibromomethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.tribromomethane &nbsp; </td>

    <td>VDIWA2006.tetrabromomethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.chlorodifluoromethane &nbsp; </td>

    <td>VDIWA2006.dichlorodifluoromethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.chlorotrifluoromethane &nbsp; </td>

    <td>VDIWA2006.dichlorodifluoromethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.trichlorofluoromethane &nbsp; </td>

    <td>VDIWA2006.fluoroethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.chloroethane &nbsp; </td>

    <td>VDIWA2006.bromoethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,1-dichloroethane &nbsp; </td>

    <td>VDIWA2006.1,2-dichloroethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,2-dibromoethane &nbsp; </td>

    <td>VDIWA2006.1,1,1-Trifluoroethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,1,1-Trichloroethane &nbsp; </td>

    <td>VDIWA2006.1,1,2,2-Tetrachloroethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.pentachloroethane &nbsp; </td>

    <td>VDIWA2006.hexachloroethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,1,2,2-tetrachlorodifluoroethane &nbsp; </td>

    <td>VDIWA2006.1,1,2-trichloro-1,2,2-trifluoroethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,2-dichloro-1,1,2,2-tetrafluoroethane &nbsp; </td>

    <td>VDIWA2006.1-chloropropane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1-chlorobutane &nbsp; </td>

    <td>VDIWA2006.1-chloropentane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.chlorotrifluoroethylene &nbsp; </td>

    <td>VDIWA2006.Chloroethylene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,1-dichloroethene &nbsp; </td>

    <td>VDIWA2006.trichloroethylene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.tetrachloroethene &nbsp; </td>

    <td>VDIWA2006.fluorobenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.chlorobenzene &nbsp; </td>

    <td>VDIWA2006.bromobenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.iodobenzene &nbsp; </td>

    <td>VDIWA2006.m-chlorotoluene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.chloromethylbenzene &nbsp; </td>

    <td>VDIWA2006.methane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethane &nbsp; </td>

    <td>VDIWA2006.propane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.butane &nbsp; </td>

    <td>VDIWA2006.pentane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.hexane &nbsp; </td>

    <td>VDIWA2006.heptane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.octane &nbsp; </td>

    <td>VDIWA2006.nonane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.decane &nbsp; </td>

    <td>VDIWA2006.undecane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.dodecane &nbsp; </td>

    <td>VDIWA2006.tridecane  &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.tetradecane  &nbsp; </td>

    <td>VDIWA2006.pentadecane  &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.hexadecane &nbsp; </td>

    <td>VDIWA2006.heptadecane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.octadecane &nbsp; </td>

    <td>VDIWA2006.nonadecane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.icosane &nbsp; </td>

    <td>VDIWA2006.2-methylpropane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.2-methylbutane &nbsp; </td>

    <td>VDIWA2006.2,2-dimethylpropane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.2-methylpentane &nbsp; </td>

    <td>VDIWA2006.3-methylpentane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.2,2-dimethylbutane &nbsp; </td>

    <td>VDIWA2006.2,3-dimethylbutane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethene &nbsp; </td>

    <td>VDIWA2006.propene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1-butene &nbsp; </td>

    <td>VDIWA2006.1-pentene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1-hexene &nbsp; </td>

    <td>VDIWA2006.1-heptene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1-Octene &nbsp; </td>

    <td>VDIWA2006.dimethylenemethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,2-butadiene &nbsp; </td>

    <td>VDIWA2006.1,3-butadiene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,2-pentadiene &nbsp; </td>

    <td>VDIWA2006.1,3-pentadiene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,4-pentadiene &nbsp; </td>

    <td>VDIWA2006.2,3-pentadiene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.acetylene &nbsp; </td>

    <td>VDIWA2006.methylacetylene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.dimethylacetylene &nbsp; </td>

    <td>VDIWA2006.ethylacetylene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.cyclopropane &nbsp; </td>

    <td>VDIWA2006.cyclobutane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.cyclopentane &nbsp; </td>

    <td>VDIWA2006.methylcyclopentane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethylcyclepentane &nbsp; </td>

    <td>VDIWA2006.propylcyclopentane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.butylcyclopentane &nbsp; </td>

    <td>VDIWA2006.pentylcyclopentane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.hexylcyclopentane &nbsp; </td>

    <td>VDIWA2006.cyclohexane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.methylcyclohexane &nbsp; </td>

    <td>VDIWA2006.ethylcyclohexane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.propylcyclohexane &nbsp; </td>

    <td>VDIWA2006.butylcyclohexane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.pentylcyclohexane &nbsp; </td>

    <td>VDIWA2006.hexylcyclohexane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.cyclopentene &nbsp; </td>

    <td>VDIWA2006.cyclohexene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.benzene &nbsp; </td>

    <td>VDIWA2006.methylbenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethylbenzene &nbsp; </td>

    <td>VDIWA2006.propylbenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.butylbenzene &nbsp; </td>

    <td>VDIWA2006.pentylbenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.hexylbenzene &nbsp; </td>

    <td>VDIWA2006.o-xylene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.m-xylene &nbsp; </td>

    <td>VDIWA2006.p-xylene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,2,3-trimethylbenzene &nbsp; </td>

    <td>VDIWA2006.1,2,4-trimethylbenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,3,5-trimethylbenzene &nbsp; </td>

    <td>VDIWA2006.1,2,3,4-tetramethylbenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,2,3,5-tetramethylbenzene &nbsp; </td>

    <td>VDIWA2006.1,2,4,5-tetramethylbenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.pentamethylbenzene &nbsp; </td>

    <td>VDIWA2006.hexamethylbenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.styrene &nbsp; </td>

    <td>VDIWA2006.Isopropylbenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.biphenyl &nbsp; </td>

    <td>VDIWA2006.diphenylmethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.triphenylmethane &nbsp; </td>

    <td>VDIWA2006.tetraphenylmethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.naphthalene &nbsp; </td>

    <td>VDIWA2006.1-methylnaphthalene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.2-methylnaphthalene &nbsp; </td>

    <td>VDIWA2006.1-ethylnaphthalene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.2-ethylnaphthalene &nbsp; </td>

    <td>VDIWA2006.methanol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethanol &nbsp; </td>

    <td>VDIWA2006.propanol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.butanol &nbsp; </td>

    <td>VDIWA2006.pentanol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.hexanol &nbsp; </td>

    <td>VDIWA2006.heptanol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.octanol &nbsp; </td>

    <td>VDIWA2006.isopropyl alcohol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.2-methylpropan-1-ol &nbsp; </td>

    <td>VDIWA2006.isopentyl alcohol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Ethylenglycol &nbsp; </td>

    <td>VDIWA2006.1,3-Propylenglycol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.glycerin &nbsp; </td>

    <td>VDIWA2006.cyclohexanol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.phenylmethanol &nbsp; </td>

    <td>VDIWA2006.o-cresol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.m-cresol &nbsp; </td>

    <td>VDIWA2006.p-cresol &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.phenol &nbsp; </td>

    <td>VDIWA2006.methanoic acid &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethanoic acid &nbsp; </td>

    <td>VDIWA2006.propanoic acid &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.butanoic acid &nbsp; </td>

    <td>VDIWA2006.pentanoic acid &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.hexanoic acid &nbsp; </td>

    <td>VDIWA2006.acetic anhydride &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.propanoyl propanoate &nbsp; </td>

    <td>VDIWA2006.chloroacetic acid &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.dichloroacetic acid &nbsp; </td>

    <td>VDIWA2006.trichloroacetic acid &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.Carbomethene &nbsp; </td>

    <td>VDIWA2006.propanone &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.methyl ethyl ketone &nbsp; </td>

    <td>VDIWA2006.diethyl ketone &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.propyl ketone &nbsp; </td>

    <td>VDIWA2006.1-phenylethanone &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.benzophenone &nbsp; </td>

    <td>VDIWA2006.methoxymethane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethoxyethane &nbsp; </td>

    <td>VDIWA2006.propoxypropane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.methoxypropane &nbsp; </td>

    <td>VDIWA2006.ethoxypropane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethylene oxide &nbsp; </td>

    <td>VDIWA2006.furan &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.1,4-dioxane &nbsp; </td>

    <td>VDIWA2006.methanal &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.acetaldehyde &nbsp; </td>

    <td>VDIWA2006.2,4,6-trimethyl-1,3,5-trioxane &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.furan-2-carbaldehyde &nbsp; </td>

    <td>VDIWA2006.benzaldehyde &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.2-hydroxybenzaldehyde &nbsp; </td>

    <td>VDIWA2006.methyl-formate &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethyl-formate &nbsp; </td>

    <td>VDIWA2006.propyl-formate &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.methyl-acetate &nbsp; </td>

    <td>VDIWA2006.ethyl-acetate &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.propyl-acetate &nbsp; </td>

    <td>VDIWA2006.METHYL-PROPIONATE &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethyl-propionate &nbsp; </td>

    <td>VDIWA2006.n-propyl-propionate &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.methyl-butanoate &nbsp; </td>

    <td>VDIWA2006.ethyl-butanoate &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.methyl-benzoate &nbsp; </td>

    <td>VDIWA2006.ethyl-benzoate &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.methyl-salicylate &nbsp; </td>

    <td>VDIWA2006.methylamine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.ethanamine &nbsp; </td>

    <td>VDIWA2006.propylamine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.butan-1-amine &nbsp; </td>

    <td>VDIWA2006.dimethylamine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.trimethylamine &nbsp; </td>

    <td>VDIWA2006.diethylamine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.triethylamine &nbsp; </td>

    <td>VDIWA2006.piperidine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.pyridine &nbsp; </td>

    <td>VDIWA2006.phenylamine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.n-methyl-anilin &nbsp; </td>

    <td>VDIWA2006.N,N-dimethyl-anilin &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.N,N-diethyl-anilin &nbsp; </td>

    <td>VDIWA2006.phenylhydrazine &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.diphenylamine &nbsp; </td>

    <td>VDIWA2006.acetonitrile &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.propanenitrile &nbsp; </td>

    <td>VDIWA2006.butanenitrile &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.benzonitrile &nbsp; </td>

    <td>VDIWA2006.methanamide &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.nitromethane &nbsp; </td>

    <td>VDIWA2006.nitrobenzene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.o-nitrotoluene &nbsp; </td>

    <td>VDIWA2006.m-nitrotoluene &nbsp; </td>
  </tr>
   <tr>
    <td>VDIWA2006.p-nitrotoluene &nbsp; </td>

    <td>  &nbsp; </td>
  </tr>
</table><br><br>

<h4>VLEFluid and Gas Names (CoolProp)</h4>
<!-- 114 supported substance names inside TILMedia from CoolProp can be receifed by request. -->
<table border=1>
   <tr>
    <th>Substance name</th>
    <th>Substance name</th>
    <th>Substance name</th>    
  </tr>
   <tr>
    <td>CoolProp.1-Butene &nbsp; </td>

    <td>CoolProp.Acetone &nbsp; </td>

    <td>CoolProp.Air &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.Ammonia &nbsp; </td>

    <td>CoolProp.Argon &nbsp; </td>

    <td>CoolProp.Benzene &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.CarbonDioxide &nbsp; </td>

    <td>CoolProp.CarbonMonoxide &nbsp; </td>

    <td>CoolProp.CarbonylSulfide &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.cis-2-Butene &nbsp; </td>

    <td>CoolProp.CycloHexane &nbsp; </td>

    <td>CoolProp.Cyclopentane &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.CycloPropane &nbsp; </td>

    <td>CoolProp.D4 &nbsp; </td>

    <td>CoolProp.D5 &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.D6 &nbsp; </td>

    <td>CoolProp.Deuterium &nbsp; </td>

    <td>CoolProp.DimethylCarbonate &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.DimethylEther &nbsp; </td>

    <td>CoolProp.Ethane &nbsp; </td>

    <td>CoolProp.Ethanol &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.EthylBenzene &nbsp; </td>

    <td>CoolProp.Ethylene &nbsp; </td>

    <td>CoolProp.Fluorine &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.HeavyWater &nbsp; </td>

    <td>CoolProp.Helium &nbsp; </td>

    <td>CoolProp.HFE143m &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.Hydrogen &nbsp; </td>

    <td>CoolProp.HydrogenSulfide &nbsp; </td>

    <td>CoolProp.IsoButane &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.IsoButene &nbsp; </td>

    <td>CoolProp.Isohexane &nbsp; </td>

    <td>CoolProp.Isopentane &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.Krypton &nbsp; </td>

    <td>CoolProp.m-Xylene &nbsp; </td>

    <td>CoolProp.MD2M &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.MD3M &nbsp; </td>

    <td>CoolProp.MD4M &nbsp; </td>

    <td>CoolProp.MDM &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.Methane &nbsp; </td>

    <td>CoolProp.Methanol &nbsp; </td>

    <td>CoolProp.MethylLinoleate &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.MethylLinolenate &nbsp; </td>

    <td>CoolProp.MethylOleate &nbsp; </td>

    <td>CoolProp.MethylPalmitate &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.MethylStearate &nbsp; </td>

    <td>CoolProp.MM &nbsp; </td>

    <td>CoolProp.n-Butane &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.n-Decane &nbsp; </td>

    <td>CoolProp.n-Dodecane &nbsp; </td>

    <td>CoolProp.n-Heptane &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.n-Hexane &nbsp; </td>

    <td>CoolProp.n-Nonane &nbsp; </td>

    <td>CoolProp.n-Octane &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.n-Pentane &nbsp; </td>

    <td>CoolProp.n-Propane &nbsp; </td>

    <td>CoolProp.n-Undecane &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.Neon &nbsp; </td>

    <td>CoolProp.Neopentane &nbsp; </td>

    <td>CoolProp.Nitrogen &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.NitrousOxide &nbsp; </td>

    <td>CoolProp.o-Xylene &nbsp; </td>

    <td>CoolProp.OrthoDeuterium &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.OrthoHydrogen &nbsp; </td>

    <td>CoolProp.Oxygen &nbsp; </td>

    <td>CoolProp.p-Xylene &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.ParaDeuterium &nbsp; </td>

    <td>CoolProp.ParaHydrogen &nbsp; </td>

    <td>CoolProp.Propylene &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.Propyne &nbsp; </td>

    <td>CoolProp.R11 &nbsp; </td>

    <td>CoolProp.R113 &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R114 &nbsp; </td>

    <td>CoolProp.R116 &nbsp; </td>

    <td>CoolProp.R12 &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R123 &nbsp; </td>

    <td>CoolProp.R1233zd(E) &nbsp; </td>

    <td>CoolProp.R1234yf &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R1234ze(E) &nbsp; </td>

    <td>CoolProp.R1234ze(Z) &nbsp; </td>

    <td>CoolProp.R124 &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R125 &nbsp; </td>

    <td>CoolProp.R13 &nbsp; </td>

    <td>CoolProp.R134a &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R14 &nbsp; </td>

    <td>CoolProp.R141b &nbsp; </td>

    <td>CoolProp.R142b &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R143a &nbsp; </td>

    <td>CoolProp.R152A &nbsp; </td>

    <td>CoolProp.R161 &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R21 &nbsp; </td>

    <td>CoolProp.R218 &nbsp; </td>

    <td>CoolProp.R22 &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R227EA &nbsp; </td>

    <td>CoolProp.R23 &nbsp; </td>

    <td>CoolProp.R236EA &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R236FA &nbsp; </td>

    <td>CoolProp.R245fa &nbsp; </td>

    <td>CoolProp.R32 &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R365MFC &nbsp; </td>

    <td>CoolProp.R404A &nbsp; </td>

    <td>CoolProp.R407C &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.R41 &nbsp; </td>

    <td>CoolProp.R410A &nbsp; </td>

    <td>CoolProp.R507A &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.RC318 &nbsp; </td>

    <td>CoolProp.SES36 &nbsp; </td>

    <td>CoolProp.SulfurDioxide &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.SulfurHexafluoride &nbsp; </td>

    <td>CoolProp.Toluene &nbsp; </td>

    <td>CoolProp.trans-2-Butene &nbsp; </td>
  </tr>
   <tr>
    <td>CoolProp.Water &nbsp; </td>

    <td>CoolProp.Xenon &nbsp; </td>

    <td> &nbsp; </td>
  </tr>
</table><br><br>

<h4>Gas Names NASA</h4>
All 2024 substance names by NASA Glenn Coefficients can be received by request.
<br>

</html>"));

end SubstanceNames;
